#!/bin/sh
#
# Script de generació de estructura de directoris de mostra
#
# $Id: genera_htdocs.sh 483 2013-06-17 17:41:04Z toni $
#

# Copyright (c) 2012 Toni Corvera
#
# This file is part of TFCWeb.
#
# TFCWeb is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# TFCWeb is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.

HTDOCS=htdocs
CGI_BIN="$HTDOCS/cgi-bin"

mkdir -p "$HTDOCS" \
            "$HTDOCS/privat/subdir/subsubdir" \
            "$HTDOCS/privat/permes" \
            "$HTDOCS/protegit" \
            "$HTDOCS/inaccessible" \
            "$CGI_BIN" \
            "$HTDOCS/escribible"

cat > "$HTDOCS/LLEGIU-ME.html" <<EOF
<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/></head>
<body><pre>
Exemples de permisos
--------------------

El directori $HTDOCS serveix de directori arrel de mostra,
en el seu interior hi ha els següents directoris i fitxers
que demostren diferents tipus d'accés (quan es fa servir
la configuració de mostra "exemple.conf")

<a href="./privat">./privat</a>     Directori definit com a privat, accedir-hi
             produeix un error 403.
             Els subdirectoris
             <a href="./privat/subdir">./privat/subdir</a>
             <a href="./privat/subdir/subsubdir">./privat/subdir/subsubdir</a>
             tampoc seran accessibles en heretar els permisos
             El subdirectori
             <a href="./privat/permes">./privat/permes</a>
             té re-definits els permisos per ser accessible
<a href="./inaccessible">./inaccessible</a> Ruta sense configurar però amb permisos (POSIX)
             000: Equivalent a directori privat.
             Els directoris inaccessibles no s'inclouen en
             els índexs, segui l'enllaç per arribar-hi.
<a href="./protegit">./protegit</a>   Directori protegit amb contrasenya.
             Usuari: tfc
             Contrasenya: tfc
<a href="./cgi-bin">./cgi-bin</a>    Scripts CGI de mostra
<a href="./escribible">./escribible</a> Directori configurat per permetre els mètodes PUT i DELETE

Errors d'exemple
----------------

<a href="privat">403: Prohibit</a>
<a href="inexistent">404: No trobat</a>

</pre>
</body>
</html>
EOF
chmod 777 "$HTDOCS/escribible"
chmod 000 "$HTDOCS/inaccessible"
# CGI(s)
cat > "$CGI_BIN/helloworld.pl" <<EOF
#!/usr/bin/env perl
# <http://www.lies.com/begperl/hello_cgi.html>
# hello.pl -- my first perl script!
print "Content-type: text/html\n\n";
print "Hello, world!\n";
EOF
cp "$CGI_BIN/helloworld.pl" "$CGI_BIN/helloworld_noexecutable.pl"
chmod +x "$CGI_BIN/"*.pl
chmod -x "$CGI_BIN/"*_noexecutable.pl

# Enviament de formularis (POST)
cat > "$HTDOCS/formulari_post.html" <<EOF
<html>
<body>
<p>Enviament de mostra d'un formulari amb mètode POST</p>
<form method="post" action="formulari_post.html">
Camp1: <input type="text" name="camp1" value="Valor del camp 1" />
<br />
Camp2: <textarea name="camp2">Valor del camp 2</textarea>
<br />
<input type="submit" value="Envia"/>
</form>
</html>
EOF


cp src/exemple.conf $HTDOCS/
# vim:set ts=4 et ai: #
