#if !defined(_CODIS_ESTAT_HTTP_H_)
#define _CODIS_ESTAT_HTTP_H_

/*!
 * \file
 * \author Toni Corvera
 *
 * $Id: CodisEstatHTTP.h 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#include "portabilitat.h"

#include <string>

namespace tfc {

/*!
 * Codis HTTP coneguts
 * \invariant Cada codi té el valor numèric corresponent
 *            (p.e. <code>((int) CODI_404) == 404</code>)
 */
enum CodiEstatHTTP {
    CODI_100 = 100, CODI_101,
    CODI_200 = 200, CODI_201, CODI_202, CODI_203, CODI_204, CODI_205, CODI_206,
    CODI_300 = 300, CODI_301, CODI_302, CODI_303, CODI_304, CODI_305,
                    CODI_306, CODI_307,
    CODI_400 = 400, CODI_401, CODI_402, CODI_403, CODI_404, CODI_405,
                    CODI_406, CODI_407, CODI_408, CODI_409, CODI_410,
                    CODI_411, CODI_412, CODI_413, CODI_414, CODI_415,
                    CODI_416, CODI_417,
    CODI_500 = 500, CODI_501, CODI_502, CODI_503, CODI_504, CODI_505
};

/*!
 * \brief Encapsulament del mapeig entre codi d'estat i frase d'estat
 * \sa CodiEstatHTTP
 */
namespace FrasesEstatHTTP {
    /*!
     * \brief Obtenció de frase d'estat associada a un codi d'estat
     * \param codi Codi d'estat
     */
    const std::string& frase(CodiEstatHTTP);
} // ns FrasesEstatHTTP

} // ns tfc

#endif // _CODIS_ESTAT_HTTP_H_

// vim:set ts=4 et ai: //
