
/*!
 * \file
 * \author Toni Corvera
 *
 * $Id: CosPeticio.cc 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#include "CosPeticio.h"
#include "Servidor.h"

using namespace std;

namespace tfc {

CosPeticio::CosPeticio(size_t mida_esperada)
    : buffer_()
{
    if (mida_esperada > 0) {
        buffer_.reserve(mida_esperada);
    }
}

void CosPeticio::contingut(const string & dades) {
    buffer_ = dades;
}

void CosPeticio::afegeix(const string & dades) {
    buffer_.append(dades);
}

void CosPeticio::swap(string & dades) {
    buffer_.swap(dades);
}

} // ns tfc

// vim:set ts=4 et ai: //
