#if !defined(_TFC_DEBUG_H_)
#define _TFC_DEBUG_H_

/*!
 * \file
 * \author Toni Corvera
 *
 * $Id: debug.h 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#include "ThreadPool.h"

namespace tfc {

/*!
 * \brief Eines addicionals per a comprovar el funcionament del servidor mentre
 * es desenvolupa.
 */
namespace debug {

#if !defined(NDEBUG) && defined(TFC_MOSTRA_CUA_CLIENTS)
/*!
 * \brief Inicialitza les eines addicionals
 * \param pool_clients ThreadPool a on s'afegeixen els clients
 * \pre \p pool_clients només conté tasques de servei als clients
 */
void init(const tfc::ThreadPool & pool_clients);
#else
inline void init(const tfc::ThreadPool &) {}
#endif

} // ns debug

} // ns tfc

#endif // _TFC_DEBUG_H_

// vim:set ts=4 et ai: //
