
/*!
 * \file
 * \brief Tests de tfc::CapsaleraHTTP.
 * \sa tfc::CapsaleraHTTP
 *
 * \author Toni Corvera
 *
 * $Id: TestCapsalera.cc 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#include <sstream>

#include <CapsaleraHTTP.h>

#include "comu.h"

using namespace std;
using namespace tfc;

BOOST_AUTO_TEST_SUITE( CapsaleraHTTP_TestSuite )

CapsaleraHTTP cnv1("Nom", "Valor"),
              cnv2("Nom", "Valor"),
              che("Host", "www.example.com");

BOOST_AUTO_TEST_CASE( igualtat )
{
    BOOST_CHECK( cnv1 == cnv2 );
    // != no definit
    //BOOST_CHECK( !(*cnv1 != *cnv2) );

    BOOST_CHECK( !(cnv1 == che) );
}

BOOST_AUTO_TEST_CASE( copia )
{
    CapsaleraHTTP c(che);
    BOOST_CHECK(c == che);

    //CapsaleraHTTP c2 = che;
    //BOOST_CHECK(c2 == che);
}

BOOST_AUTO_TEST_CASE( getters )
{
    BOOST_CHECK( cnv1.nom() == "Nom" );
    BOOST_CHECK( cnv1.valor() == "Valor" );
}

BOOST_AUTO_TEST_CASE( setters )
{
    cnv1.set_valor("Nou Valor");
    BOOST_CHECK( cnv1.valor() == "Nou Valor" );
    cnv1.set_valor("Valor");
}

BOOST_AUTO_TEST_CASE( impressio )
{
    ostringstream ss;
    ss << che;
    BOOST_CHECK( ss.str() == "Host: www.example.com" );
}

BOOST_AUTO_TEST_SUITE_END()

// vim:set ts=4 et ai: //
