
/*!
 * \file
 * \brief Tests de logging
 * \sa tfc::Log
 *
 * \author Toni Corvera
 *
 * $Id: TestRegexes.cc 297 2012-05-08 03:22:55Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#include <Log.h>

#include "comu.h"

#include <iostream>
#include <boost/filesystem.hpp>

using namespace tfc;
using namespace std;

BOOST_AUTO_TEST_SUITE( Log_TestSuite )

BOOST_AUTO_TEST_CASE( redireccio )
{
    //BOOST_CHECK_THROW(frase_estat(indefinit), ErrorTipusPeticioHTTPDesconeguda);

//    BOOST_CHECK_EQUAL(FrasesEstatHTTP::frase(CODI_200), "OK");
    using boost::filesystem::path;

    Log::singleton().associa(std::cerr);
    Log::singleton().associa( path("logging.log") );
    log() << "Linia" <<  "1" << tfc::commit;
    Log::singleton().associa(std::cout);
    log() << "Linia 2" << std::endl;
    log() << " Que ocupa dos línies";
    log() << tfc::commit;
    cerr << "--- A continuació s'enviarà un missatge d'error i un de warning" << endl;
    log() << nivell(NivellError) << "Missatge d'error" << commit;
    log() << NivellWarning << "Missatge de warning" << commit;
    cerr << "--- A continuació s'enviarà un missatge d'error i un de warning, amb nivell pujat a només errors" << endl;
    Log::singleton().nivell_sortida(NivellError);
    log() << nivell(NivellError) << "Missatge d'error" << commit;
    log() << NivellWarning << "Missatge de warning" << commit;
    log() << NivellError << "Missatge d'error, amb canvi directe de nivell" << commit;
    /*
    log() << "Linia" << 2 << endl;
    log() << "Flushed!" << flush;
    */
}

BOOST_AUTO_TEST_SUITE_END()

// vim:set ts=4 et ai: //
