
/*!
 * \file
 * \brief Tests de tfc::Recurs.
 * \sa tfc::Recurs
 *
 * \author Toni Corvera
 *
 * $Id: TestRecurs.cc 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#if 0 // Disseny inicial, TODO: actualitzar prova unitària

#include <iostream>
#include <sstream>
#include <stdexcept>
#include <boost/filesystem.hpp>

#include <Recurs.h>

#include "comu.h"

using namespace boost;
using namespace boost::filesystem;
using namespace std;
using namespace tfc;

//! Ruta a fer servir com a arrel del servidor
const path PWD_ROOT(canonical("."));
//! Ruta (parcial) inexistent
const string INEXISTENT = "*:\\";
// TODO: Passant INEXISTENT al constructor de Recurs hi ha un error de compilació:
// ???> error: no matching function for call to ‘tfc::Recurs::Recurs()’
#define INEXISTENT_D  "*:\\"

// Recurs::init(PWD_ROOT);

namespace tfc { namespace Fixtures {

struct FxtRecurs {
    FxtRecurs()
        : pwd("."),
          root("/"),
          index_html("index.html")
    {
        BOOST_TEST_MESSAGE("Fixture setup");
        if (exists(INEXISTENT)) {
            BOOST_ERROR("La ruta que es fa servir com a inexistent en els tests ('" +
                        INEXISTENT + "') existeix!");
        }
        // També cal que existeixi un fitxer index.html. El Makefile el crea
    }
    ~FxtRecurs()
    {
        BOOST_TEST_MESSAGE("Fixture teardown");
    }
    Recurs pwd, root, index_html;
};

} // ns Fixtures
} // ns tfc

BOOST_FIXTURE_TEST_SUITE( Recurs_TestSuite, Fixtures::FxtRecurs )

BOOST_AUTO_TEST_CASE( construccio )
{
    // Error de compilació (???): Recurs(INEXISTENT)
    BOOST_CHECK_THROW( Recurs(INEXISTENT_D), ErrorRutaInexistent );
    BOOST_CHECK_NO_THROW( Recurs(".") );
}

BOOST_AUTO_TEST_CASE( impressio )
{
    cerr << "Mostra d'impressió de Recurs:" << endl;
    cerr << pwd << endl;
    cerr << root << endl;
    cerr << Recurs("././/.") << endl;
    cerr << Recurs("//.//") << endl;
    cerr << Recurs("//index.html") << endl;
}

BOOST_AUTO_TEST_SUITE_END()
#endif

// vim:set ts=4 et ai: //
