
/*!
 * \file
 * \brief Tests de tfc::RespostaHTTP.
 * \sa tfc::RespostaHTTP
 *
 * \author Toni Corvera
 *
 * $Id: TestRespostaHTTP.cc 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#include <iostream>
#include <limits>
#include <sstream>
#include <string>

#include <CodisEstatHTTP.h>
#include <CapsaleraHTTP.h>
#include <Excepcions.h>
#include <RespostaHTTP.h>

#include "comu.h"

using namespace std;
using namespace tfc;


// TODO: Moure?
BOOST_AUTO_TEST_SUITE( FrasesHTTP_TestSuite )

BOOST_AUTO_TEST_CASE( obtencio )
{
    //BOOST_CHECK_THROW(frase_estat(indefinit), ErrorTipusPeticioHTTPDesconeguda);

    BOOST_CHECK_EQUAL(FrasesEstatHTTP::frase(CODI_200), "OK");
}

BOOST_AUTO_TEST_SUITE_END()

BOOST_AUTO_TEST_SUITE( CodisEstatHTTP_TestSuite )

BOOST_AUTO_TEST_CASE( valor_numeric )
{
    BOOST_CHECK_EQUAL( CODI_502, 502 );
}

BOOST_AUTO_TEST_SUITE_END()

// ------------------------------------------------------------------------- //

BOOST_AUTO_TEST_SUITE( RespostaHTTP_TestSuite )

RespostaHTTP r404(CODI_404), r404_2(CODI_404), r505(CODI_505);

BOOST_AUTO_TEST_CASE( igualtat )
{
    BOOST_CHECK( r404 == r404_2 );
}

BOOST_AUTO_TEST_CASE( copia )
{
    RespostaHTTP c505(r505);
//    BOOST_CHECK( r505 == c505 );
    BOOST_CHECK_EQUAL( r505, c505 );
}

BOOST_AUTO_TEST_CASE( getters )
{
    BOOST_CHECK_EQUAL(r404.codi(), CODI_404);
    BOOST_CHECK_EQUAL(r404.frase(), FrasesEstatHTTP::frase(CODI_404));
}

BOOST_AUTO_TEST_CASE( MostraImpressio )
{
    cerr << "Mostra d'impressió de respostes HTTP:" << endl;
    RespostaHTTP r(CODI_404);
    r.afegeix_capsalera("Server", "Example/1.0");
    cerr << r << endl;
}

#if 0
BOOST_AUTO_TEST_CASE( setters )
{
}
#endif

BOOST_AUTO_TEST_SUITE_END()

// vim:set ts=4 et ai: //
