#if !defined(_TEST_TIPUS_MIME_H_)
#define _TEST_TIPUS_MIME_H_

/*!
 * \file
 * \brief Tests de tfc::RegistreTipusMIME.
 * \sa tfc::RegistreTipusMIME
 *
 * \author Toni Corvera
 *
 * $Id: TestTipusMIME.cc 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#include <sstream>

#include <TipusMIME.h>

#include "comu.h"

using namespace std;
using namespace tfc;

BOOST_AUTO_TEST_SUITE( TipusMIME_TestSuite )

BOOST_AUTO_TEST_CASE( no_registrat )
{
    BOOST_CHECK_EQUAL( RegistreTipusMIME::per_extensio("extensió no registrada"), "text/plain" );
}

BOOST_AUTO_TEST_CASE( conegut )
{
    BOOST_CHECK_EQUAL( RegistreTipusMIME::per_extensio("JPG"), "image/jpeg" );
}

BOOST_AUTO_TEST_CASE( icase )
{
    BOOST_CHECK_EQUAL( RegistreTipusMIME::per_extensio("Jpg"),
                       RegistreTipusMIME::per_extensio("jpG") );
}

BOOST_AUTO_TEST_CASE( registre )
{
    const char * ext = "laMevaExt";
    const char * tipus = "application/x-test-case";
    BOOST_CHECK_NO_THROW( RegistreTipusMIME::registra_extensio(ext, tipus) );
    BOOST_CHECK_EQUAL( RegistreTipusMIME::per_extensio(ext), tipus );
}

BOOST_AUTO_TEST_SUITE_END()

#endif // _TEST_TIPUS_MIME_H_

// vim:set ts=4 et ai: //
