
/*!
 * \file
 * \brief Fitxer principal de tests unitaris.
 *
 * \author Toni Corvera
 * \sa http://www.boost.org/doc/libs/1_49_0/libs/test/doc/html/utf/user-guide.html
 *
 * $Id: master.cc 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

// Vegeu Makefile
#ifndef ENLLAC_DINAMIC
#   define ENLLAC_DINAMIC 1
#endif
#if ENLLAC_DINAMIC == 0
// Estàtic:
#   include <boost/test/included/unit_test.hpp>
#else
// Dinàmic
#   define BOOST_TEST_MAIN ignoram
#   define BOOST_TEST_DYN_LINK
#   include <boost/test/unit_test.hpp>
#endif

#include "comu.h"

// Macros trobades:
// BOOST_ERROR( "msg" ) : Imprimeix error i incrementa compte d'errors
// BOOST_FAIL( "msg" ) : Imprimeix error i eleva excepció (~assert)
// BOOST_CHECK( <bool expr> ) : Check. +BOOST_ERROR falla
// BOOST_REQUIRE( <bool expr> ) : Check + throw (~ assert)
// BOOST_CHECK_MESSAGE( <bool expr>, "msg" ) : BOOST_CHECK amb missatge msg
// BOOST_CHECK_EQUAL( a, b ) : Check equality. Imprimeix valors efectius de a i b
// BOOST_CHECK_THROW( <bool expr>, <class> ) : Check throw
// BOOST_AUTO_TEST_CASE_EXPECTED_FAILURES( <use case>, <num> ) : Nombre
//   d'errors que s'esperen en el test (p.e. durant implementació incompleta)
// BOOST_PARAM_TEST_CASE(test_function, params_begin, params_end) : Iteració
// BOOST_AUTO_TEST_CASE_TEMPLATE(test_case_name, formal_type_parameter_name, collection_of_types)
// 
//
// BOOST_WARN( sizeof(int) < 4 );
// BOOST_REQUIRE_EQUAL( v1, v2 );

// vim:set ts=4 et ai: //
