
/*!
 * \file
 * \brief Proves de thread pool
 * \sa tfc::ThreadPool
 *
 * \author Toni Corvera
 *
 * $Id: threading.cc 483 2013-06-17 17:41:04Z toni $
 */
/*
 * Copyright (c) 2012 Toni Corvera
 *
 * This file is part of TFCWeb.
 *
 * TFCWeb is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TFCWeb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TFCWeb. If not, see <http://www.gnu.org/licenses/>.
 */

#include <Log.h>
#include <ThreadPool.h>

#include "comu.h"

#include <iostream>
#include <memory>
#include <boost/lexical_cast.hpp>

#include <unistd.h>

using namespace tfc;
using namespace std;

void my_callback() { // TODO:
    cerr << "this is my callback" << endl;
}

struct my_functor {
    const int id_;
    my_functor(int id) : id_(id) {}
    virtual void operator()() {
        using namespace boost;
        const string msg = string("functor#")+lexical_cast<string>(id_)+
                           string("()() @ thread ")+
                           lexical_cast<string>(this_thread::get_id())+
                           string("\n");

        cerr << msg << flush;
        boost::this_thread::sleep(boost::posix_time::seconds(1));
    }
};



void executa(const int nthreads, const int ntasques) {
    cerr << "Creant pool..." << endl;
    ThreadPool pool(nthreads);
    cerr << "Programant..." << endl;
    for (int i=0; i<ntasques; ++i) {
        pool.programa(my_functor(i));
    }
    cerr << "Programades; 1s i abortem les que no s'hagin completat" << endl;
    sleep(1);
    pool.termina();
}

int main(int argc, char ** argv, char ** envp) {
    Log::singleton().associa(std::cerr, NIVELL_MES_VERBOS);

    log() << "Executant test amb 100 threads i 1000 tasques" << commit;
    executa(100,1000);
    return 0;
}

// vim:set ts=4 et ai: //
